#!/usr/bin/env bash

echo `date` $(psql -t -A postgres -c "SELECT pg_current_wal_lsn()") WORKLOAD "creating database db_copy strategy $1"

while /bin/true; do

	c=$(psql -t -A postgres -c "select count(1) from pg_database where datname = 'db_copy'")

	if [ "$c" == "1" ]; then
		break;
	fi

	# this can fail if the database is being accessed by someone else, so just retry after a short sleep
	createdb -S $1 -T "db" "db_copy" > /dev/null 2>&1
	r=$?

	if [ "$r" == "0" ]; then
		break
	fi

	sleep 1

	echo `date` $(psql -t -A postgres -c "SELECT pg_current_wal_lsn()") WORKLOAD "retrying db_copy database create"

done

echo `date` $(psql -t -A postgres -c "SELECT pg_current_wal_lsn()") WORKLOAD "database db_copy created"
